<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RMobilityProfile StructType
 * @subpackage Structs
 */
class RMobilityProfile extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $description;
    /**
     * The mobileClientCallingOption
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $mobileClientCallingOption;
    /**
     * The dvofServiceAccessNumber
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $dvofServiceAccessNumber;
    /**
     * The dirn
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\RDirn
     */
    public $dirn;
    /**
     * The dvorCallerId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $dvorCallerId;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RMobilityProfile
     * @uses RMobilityProfile::setName()
     * @uses RMobilityProfile::setDescription()
     * @uses RMobilityProfile::setMobileClientCallingOption()
     * @uses RMobilityProfile::setDvofServiceAccessNumber()
     * @uses RMobilityProfile::setDirn()
     * @uses RMobilityProfile::setDvorCallerId()
     * @uses RMobilityProfile::setUuid()
     * @param string $name
     * @param string $description
     * @param string $mobileClientCallingOption
     * @param string $dvofServiceAccessNumber
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\RDirn $dirn
     * @param string $dvorCallerId
     * @param string $uuid
     */
    public function __construct($name = null, $description = null, $mobileClientCallingOption = null, $dvofServiceAccessNumber = null, \\Losc\CucmBundle\Model\Webservice\StructType\RDirn $dirn = null, $dvorCallerId = null, $uuid = null)
    {
        $this
            ->setName($name)
            ->setDescription($description)
            ->setMobileClientCallingOption($mobileClientCallingOption)
            ->setDvofServiceAccessNumber($dvofServiceAccessNumber)
            ->setDirn($dirn)
            ->setDvorCallerId($dvorCallerId)
            ->setUuid($uuid);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RMobilityProfile
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RMobilityProfile
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
    /**
     * Get mobileClientCallingOption value
     * @return string|null
     */
    public function getMobileClientCallingOption()
    {
        return $this->mobileClientCallingOption;
    }
    /**
     * Set mobileClientCallingOption value
     * @param string $mobileClientCallingOption
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RMobilityProfile
     */
    public function setMobileClientCallingOption($mobileClientCallingOption = null)
    {
        $this->mobileClientCallingOption = $mobileClientCallingOption;
        return $this;
    }
    /**
     * Get dvofServiceAccessNumber value
     * @return string|null
     */
    public function getDvofServiceAccessNumber()
    {
        return $this->dvofServiceAccessNumber;
    }
    /**
     * Set dvofServiceAccessNumber value
     * @param string $dvofServiceAccessNumber
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RMobilityProfile
     */
    public function setDvofServiceAccessNumber($dvofServiceAccessNumber = null)
    {
        $this->dvofServiceAccessNumber = $dvofServiceAccessNumber;
        return $this;
    }
    /**
     * Get dirn value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RDirn|null
     */
    public function getDirn()
    {
        return $this->dirn;
    }
    /**
     * Set dirn value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\RDirn $dirn
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RMobilityProfile
     */
    public function setDirn(\\Losc\CucmBundle\Model\Webservice\StructType\RDirn $dirn = null)
    {
        $this->dirn = $dirn;
        return $this;
    }
    /**
     * Get dvorCallerId value
     * @return string|null
     */
    public function getDvorCallerId()
    {
        return $this->dvorCallerId;
    }
    /**
     * Set dvorCallerId value
     * @param string $dvorCallerId
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RMobilityProfile
     */
    public function setDvorCallerId($dvorCallerId = null)
    {
        $this->dvorCallerId = $dvorCallerId;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RMobilityProfile
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
